import { ModeEnum, Setting, MarkStore, Task } from "@/types";
import { reactive, watch } from "vue";

const obj = {
  setting: {
    mode: "TRACK",
    examType: "SCAN_IMAGE",
    forceMode: false,
    sheetView: false,
    sheetConfig: [],
    enableAllZero: false,
    fileServer: "",
    marker: <Setting["marker"]>{},
    subject: <Setting["subject"]>{},
    forceSpecialTag: false,
    uiSetting: {
      "answer.paper.scale": 1,
      "score.board.collapse": false,
      "normal.mode": "keyboard",
    },
    statusValue: "FORMAL",
    problemTypes: [],
    groupNumber: 0,
    topCount: 0,
    splitConfig: [],
    prefetchCount: 3,
    startTime: 0,
    endTime: 0,
  },
  status: <MarkStore["status"]>{},
  groups: [],
  tasks: [],
  currentMarkResult: undefined,
  currentTask: <Task>{},
  currentQuestion: undefined,
  currentScore: undefined,
  markResults: [],
  historyOpen: false,
  MarkBoardTrackCollapse: false,
  historyTasks: [],
} as MarkStore;

/** 给当前任务评分 */
export function markScore() {}

export const store = reactive(obj);
